--- title: "getInitScriptDetail" slug: "compute-vserver-initscript-getinitscriptdetail" tags: ["Init Script", "Server"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-initscript-getinitscriptdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getInitScriptDetail Available in VPC Get details of an init script. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getInitScriptDetail | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `initScriptNo` | String | Required | Init script number - See [getInitScriptList](/docs/en/compute-vserver-initscript-getinitscriptlist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getInitScriptDetail ?regionCode=KR &initScriptNo=2***5 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getInitScriptDetailResponse` | Object | - | Response result - See [InitScriptList](/docs/en/common-vapidatatype-initscriptlist). | | `getInitScriptDetailResponse.requestId` | String | - | ID for the request - UUID format | | `getInitScriptDetailResponse.returnCode` | String | - | Response code | | `getInitScriptDetailResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getInitScriptDetailResponse": { "totalRows": 1, "initScriptList": [ { "initScriptNo": "2***5", "initScriptName": "init", "createDate": "2025-06-20T09:30:38+0900", "initScriptDescription": "Server reset script", "initScriptContent": "#!/bin/bash\n\necho \"[1/5] Updating package list...\"\nsudo apt-get update -y\n\necho \"[2/5] Installing basic packages...\"\nsudo apt-get install -y curl vim git\n\necho \"[3/5] Setting timezone to Asia/Seoul...\"\nsudo timedatectl set-timezone Asia/Seoul\n\necho \"[4/5] Installing and configuring UFW...\"\nsudo apt-get install -y ufw\nsudo ufw default deny incoming\nsudo ufw default allow outgoing\nsudo ufw allow ssh\nsudo ufw --force enable\n\necho \"[5/5] Updating MOTD...\"\necho \"Welcome to your initialized Linux server!\" | sudo tee /etc/motd\n\necho \"Initialization complete\"\n", "osType": { "code": "LNX", "codeName": "LINUX" } } ], "requestId": "75c8871a-****-****-****-1c7cc9330d76", "returnCode": "0", "returnMessage": "success" } } ```